ur_rna.GUITester.GuiTools

## Enum GuiRobot.ModifierKey

- java.lang.Object
- - java.lang.Enum<GuiRobot.ModifierKey>
  - - ur_rna.GUITester.GuiTools.GuiRobot.ModifierKey

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GuiRobot.ModifierKey>
  Enclosing class:
    GuiRobot

      public static enum GuiRobot.ModifierKey
      extends java.lang.Enum<GuiRobot.ModifierKey>

  These constants correspond to numbers used in abbot.Robot to set and test for modifier keys. Unfortunately abbot does not define and enum or constants, but simply uses the plan, undocumented numbers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALT`
    `ALTG`
    `CTRL`
    `META`
    `SHIFT`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `code`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GuiRobot.ModifierKey` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GuiRobot.ModifierKey[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALT

          public static final GuiRobot.ModifierKey ALT

    - #### ALTG

          public static final GuiRobot.ModifierKey ALTG

    - #### CTRL

          public static final GuiRobot.ModifierKey CTRL

    - #### META

          public static final GuiRobot.ModifierKey META

    - #### SHIFT

          public static final GuiRobot.ModifierKey SHIFT

  - ### Field Detail

    - #### code

          public final int code

  - ### Method Detail

    - #### valueOf

          public static GuiRobot.ModifierKey valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static GuiRobot.ModifierKey[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GuiRobot.ModifierKey c : GuiRobot.ModifierKey.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared